/**************************************************************************
* Файл, содержащий декларации функций, приведенных в драйвере L153C.ASM   *
*                                                                	  *
* 	      L-card SoftWare Lab limited, Moscow, 09.01.94               *
*       	tel (095) 257-17-10, fax (095) 257-10-90		  *
**************************************************************************/
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif
int   	_Cdecl SAMPLE(void);
void  	_Cdecl STREAM(int far *Data, int NPoint, int Channel, int Rate);
void  	_Cdecl KADR(int far *Data, unsigned far *RealChannel, int Nch);
void  	_Cdecl OUTDAARRAY(int far *Data, int rate, int NPoint);
void  	_Cdecl SOFT(int far *Data, int NKadr, unsigned int far *RealChannel, int Nch, int Rate);
int   	_Cdecl ADCHAN(int Channel);
void  	_Cdecl OUTDA(int code);
void  	_Cdecl SETCHANNEL(int Nch);
void  	_Cdecl OUTBYTE(int code);
void  	_Cdecl TIMER(int n, int mode, int rate);
void  	_Cdecl WAIT_TIMER(int n);
int     _Cdecl GET_TIMER();
void  	_Cdecl SETBASEADDRESS(int address);
void  	_Cdecl INITINTR(int rate1, int rate2, void interrupt int_hand(PARM));
int 	_Cdecl INPBYTE(void);
void 	_Cdecl T_INTR(void);
void 	_Cdecl STOP_INTR(void);
void  	_Cdecl INTR_SETUP(int irq_number);
int 	_Cdecl PLATA_TEST(void);
#ifdef __cplusplus
}
#endif

